Loading...
Searching...
No Matches
SoapySDR::ModuleManager Class Reference

`#include <Modules.hpp>`

## Public Member Functions

| ModuleManager (const bool load=true)
| ~ModuleManager (void)

## Detailed Description

Manage the lifetime of loadable modules by unloading modules on scope exit.

## Constructor & Destructor Documentation

## ModuleManager()

SoapySDR::ModuleManager::ModuleManager | ( | const bool | load = true | ) |

Create an instance of the module manager. Loading modules on creation can be disabled.

Parameters

  load | false to skip loading modules

## ~ModuleManager()

SoapySDR::ModuleManager::~ModuleManager | ( | void |  | ) |

Module manager destructor. Unload modules on cleanup.

The documentation for this class was generated from the following file:

- Modules.hpp